Create supplier terms
Adds a supplier's purchasing terms for this product and returns them (201, `Location` header set). Requires `Permissions.Product.Create`.
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerint32application/json- body
One supplier's purchasing terms for a product, such as purchase price and lead time.
countryOfDispatch?|int32deliveryTime?|int32guid?|guidid?|int32isMain?boolean|nulllastModify?|date-timelastPurchasePrice?|decimallastPurchasePriceCurrencyId?|int32lastPurchasePriceForeignCurrency?|decimalminQuantityToOrder?|decimalminimalShelfLife?|int32productId?integerint32productName?|length <= 80promoFromDate?|date-timepromoPurchasePrice?|decimalpromoPurchasePriceForeignCurrency?|decimalpromoPurchasePriceForeignCurrencyId?|int32promoToDate?|date-timeshelfLife?|int32supplierId?|int32supplierProductCode?|length <= 50unitId?|int32unitsInPackage?|decimalwarranty?|int32application/json- response
One supplier's purchasing terms for a product, such as purchase price and lead time.
countryOfDispatch?|int32deliveryTime?|int32guid?|guidid?|int32isMain?boolean|nulllastModify?|date-timelastPurchasePrice?|decimallastPurchasePriceCurrencyId?|int32lastPurchasePriceForeignCurrency?|decimalminQuantityToOrder?|decimalminimalShelfLife?|int32productId?integerint32productName?|length <= 80promoFromDate?|date-timepromoPurchasePrice?|decimalpromoPurchasePriceForeignCurrency?|decimalpromoPurchasePriceForeignCurrencyId?|int32promoToDate?|date-timeshelfLife?|int32supplierId?|int32supplierProductCode?|length <= 50unitId?|int32unitsInPackage?|decimalwarranty?|int32curl -X POST 'https://<your-instance>/api/products/0/suppliers-infos' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "countryOfDispatch": 1, "deliveryTime": 5, "isMain": true, "minQuantityToOrder": 100, "minimalShelfLife": 180, "productId": 123, "productName": "Supplier Product Name", "promoFromDate": "2025-01-01T00:00:00", "promoPurchasePrice": 99.5, "promoPurchasePriceForeignCurrency": 110, "promoPurchasePriceForeignCurrencyId": 2, "promoToDate": "2025-12-31T00:00:00", "shelfLife": 365, "supplierId": 10, "supplierProductCode": "SUP-PRD-001", "unitId": 1, "unitsInPackage": 12, "warranty": 24}'{ "countryOfDispatch": 0, "deliveryTime": 0, "guid": "string", "id": 0, "isMain": true, "lastModify": "2019-08-24T14:15:22Z", "lastPurchasePrice": 0, "lastPurchasePriceCurrencyId": 0, "lastPurchasePriceForeignCurrency": 0, "minQuantityToOrder": 0, "minimalShelfLife": 0, "productId": 0, "productName": "string", "promoFromDate": "2019-08-24T14:15:22Z", "promoPurchasePrice": 0, "promoPurchasePriceForeignCurrency": 0, "promoPurchasePriceForeignCurrencyId": 0, "promoToDate": "2019-08-24T14:15:22Z", "shelfLife": 0, "supplierId": 0, "supplierProductCode": "string", "unitId": 0, "unitsInPackage": 0, "warranty": 0}List a product's supplier terms GET
Returns the per-supplier purchasing terms for this product (purchase price, lead time, minimum order and the like). Requires `Permissions.Product.View`.
Get one supplier's terms GET
Returns one supplier's purchasing terms for this product. 404 when it does not belong to `productId`. Requires `Permissions.Product.View`.